Bug 806257 - clucene-core-devel-0.9.21b-1.el6.x86_64 is missing CLucene/clucene-config.h
Summary: clucene-core-devel-0.9.21b-1.el6.x86_64 is missing CLucene/clucene-config.h
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: clucene
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Grulich
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-23 10:46 UTC by Dennis Schridde
Modified: 2017-12-06 11:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 11:52:34 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dennis Schridde 2012-03-23 10:46:26 UTC
Description of problem:
In file included from /usr/include/CLucene/config/compiler.h:40,
                 from /usr/include/CLucene/StdHeader.h:17,
                 from /usr/include/CLucene.h:11,
                 from lucene-wrapper.cc:23:
/usr/include/CLucene/config/CompilerGcc.h:12:68: error: CLucene/clucene-config.h: No such file or directory

# rpm -ql clucene-core-devel
...
/usr/lib64/CLucene/clucene-config.h
...

This bug also appeared in Fedora 16 as bug #748196, but the fix applied there does not apply to RHEL6, because the version shipped here does not include a pkgconfig file.

Version-Release number of selected component (if applicable):
clucene-core-devel-0.9.21b-1.el6.x86_64

Comment 2 RHEL Program Management 2012-07-10 08:30:17 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 3 RHEL Program Management 2012-07-10 23:09:05 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 4 RHEL Program Management 2012-09-07 05:34:51 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 6 Jan Kurik 2017-12-06 11:52:34 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.